## CloudMonkey

`cloudmonkey` is a command line interface for [Apache CloudStack](http://cloudstack.apache.org).
CloudMonkey can be use both as an interactive shell and as a command line tool
which simplifies Apache CloudStack configuration and management. It can be used
with Apache CloudStack 4.0-incubating and above.

![version badge](https://badge.fury.io/py/cloudmonkey.png) ![download badge](http://img.shields.io/pypi/dm/cloudmonkey.png)

All:

    Cleans and then builds with precache
    $ make all

Build:

    $ make build

Build Precache:

    $ make buildcache

Build with Precache:

    $ make buildwithcache

Check changes, code styles:

    $ make check

Clean:

    $ make clean

Install:

    $ make install

### For users

Install:

    $ pip install cloudmonkey

Upgrade:

    $ pip install --upgrade cloudmonkey

Please see the [CloudMonkey Wiki](https://cwiki.apache.org/confluence/display/CLOUDSTACK/CloudStack+cloudmonkey+CLI) for usage.

### Mailing lists

[Development Mailing List](mailto:dev-subscribe@cloudstack.apache.org)

[Users Mailing List](mailto:users-subscribe@cloudstack.apache.org)

[Commits Mailing List](mailto:commits-subscribe@cloudstack.apache.org)

[Issues Mailing List](mailto:issues-subscribe@cloudstack.apache.org)

[Marketing Mailing List](mailto:marketing-subscribe@cloudstack.apache.org)

### Contributing

Send your patches on Apache [Review Board](https://reviews.apache.org/groups/cloudstack/)
for CloudStack CloudMonkey.

Discuss features development on the `Dev` mailing lists.
Report issues on the `User` mailing list and open issue on [JIRA](http://issues.apache.org/jira/browse/CLOUDSTACK).

### License

Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements.  See the NOTICE file
distributed with this work for additional information
regarding copyright ownership.  The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License.  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied.  See the License for the
specific language governing permissions and limitations
under the License.

